## python-transliterate 1.10.2

=== requirements.txt ===
factory_boy==2.7.0
fake-factory==0.7.2
Pillow==3.4.2
pytest==3.0.2
pytest-cov==2.2.1
tox==2.1.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_elements.papersize=a4
PAPEROPT_letter = -D latex_elements.papersize=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html        to make standalone HTML files"
	@echo "  dirhtml     to make HTML files named index.html in directories"
	@echo "  singlehtml  to make a single large HTML file"
	@echo "  pickle      to make pickle files"
	@echo "  json        to make JSON files"
	@echo "  htmlhelp    to make HTML files and an HTML help project"
	@echo "  qthelp      to make HTML files and a qthelp project"
	@echo "  applehelp   to make an Apple Help Book"
	@echo "  devhelp     to make HTML files and a Devhelp project"
	@echo "  epub        to make an epub"
	@echo "  epub3       to make an epub3"
	@echo "  latex       to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf    to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja  to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  lualatexpdf to make LaTeX files and run them through lualatex"
	@echo "  xelatexpdf  to make LaTeX files and run them through xelatex"
	@echo "  text        to make text files"
	@echo "  man         to make manual pages"
	@echo "  texinfo     to make Texinfo files"
	@echo "  info        to make Texinfo files and run them through makeinfo"
	@echo "  gettext     to make PO message catalogs"
	@echo "  changes     to make an overview of all changed/added/deprecated items"
	@echo "  xml         to make Docutils-native XML files"
	@echo "  pseudoxml   to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck   to check all external links for integrity"
	@echo "  doctest     to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage    to run coverage check of the documentation (if enabled)"
	@echo "  dummy       to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/transliterate.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/transliterate.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/transliterate"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/transliterate"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: lualatexpdf
lualatexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through lualatex..."
	$(MAKE) PDFLATEX=lualatex -C $(BUILDDIR)/latex all-pdf
	@echo "lualatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: xelatexpdf
xelatexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through xelatex..."
	$(MAKE) PDFLATEX=xelatex -C $(BUILDDIR)/latex all-pdf
	@echo "xelatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== example/requirements.txt ===
-r requirements/dev.txt

## python-transliterate 1.10.1

=== debian/changelog ===
python-transliterate (1.10.1-1) unstable; urgency=low

  * Initial release. (Closes: #898692)

 -- Edward Betts <edward@4angle.com>  Tue, 15 May 2018 10:00:00 +0100

=== debian/control ===
Source: python-transliterate
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-pytest,
               python3-pytest-cov,
               python3-setuptools,
               python3-sphinx
Standards-Version: 4.1.4
Homepage: https://github.com/barseghyanartur/transliterate
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-transliterate
Vcs-Git: https://salsa.debian.org/python-team/modules/python-transliterate.git

Package: python3-transliterate
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-transliterate-doc
Description: Bi-directional transliterator for Python
 Transliterates strings according to the rules specified in one of the
 following the language packs.
 .
  * Armenian
  * Bulgarian (beta)
  * Georgian
  * Greek
  * Macedonian (alpha)
  * Mongolian (alpha)
  * Russian
  * Ukrainian (beta)

Package: python-transliterate-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}, ${sphinxdoc:Depends}
Description: Bi-directional transliterator for Python (Documentation)
 Transliterates strings according to the rules specified in one of the
 following the language packs.
 .
  * Armenian
  * Bulgarian (beta)
  * Georgian
  * Greek
  * Macedonian (alpha)
  * Mongolian (alpha)
  * Russian
  * Ukrainian (beta)
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=transliterate
export PYTEST_ADDOPTS=--no-cov
%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build docs docs/_build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-transliterate -p python-transliterate-doc
	dh_installdocs -p python3-transliterate

override_dh_compress:
	dh_compress -X.js -X.html -X.txt

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}'))
	cp runtests.py $(BUILD_DIR)
	cd $(BUILD_DIR); python3 runtests.py; rm runtests.py
endif

## python-transliterate 1.10.2

=== debian/changelog ===
python-transliterate (1.10.2-5) unstable; urgency=high

  * Team upload.
  * debian/tests/control: Add missing test-dependency python3-six.
    (Closes: #1022782)

 -- Boyuan Yang <byang@debian.org>  Tue, 25 Oct 2022 14:38:43 -0400

python-transliterate (1.10.2-4) unstable; urgency=medium

  * Fix debian/watch to check GitHub tags instead of releases.
  * Update copyright year.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Tue, 07 Jun 2022 17:23:20 +0100

python-transliterate (1.10.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Edward Betts ]
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Update Standards-Version.
  * Update debhelper-compat to 13.
  * Update debian/watch to version 4.
  * Update copyright year.
  * Set Rules-Requires-Root to no.

 -- Edward Betts <edward@4angle.com>  Sun, 03 Jan 2021 08:38:43 +0000

python-transliterate (1.10.2-2) unstable; urgency=medium

  * debian/rules: set LC_ALL=C.UTF-8 to avoid differences when generating
    egg-info/PKG-INFO with python 3.6 and 3.7
  * debian/control: add Multi-Arch: foreign to python-transliterate-doc

 -- Edward Betts <edward@4angle.com>  Thu, 08 Nov 2018 13:57:39 +0000

python-transliterate (1.10.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Edward Betts ]
  * New upstream release.
  * debian/rules: Fix FTBFS by adjusting pybuild call
  * debian/control: Update Standards-Version

 -- Edward Betts <edward@4angle.com>  Mon, 29 Oct 2018 20:00:01 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: python-transliterate
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Edward Betts <edward@4angle.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc,
                python3-all,
                python3-pytest,
                python3-pytest-cov,
                python3-setuptools,
                python3-sphinx
-Standards-Version: 4.1.4
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Homepage: https://github.com/barseghyanartur/transliterate
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-transliterate
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-transliterate.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-transliterate
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-transliterate.git
 
 Package: python3-transliterate
 Architecture: all
@@ -35,6 +37,7 @@
 Package: python-transliterate-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: libjs-jquery, ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Bi-directional transliterator for Python (Documentation)
  Transliterates strings according to the rules specified in one of the

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=transliterate
export PYTEST_ADDOPTS=--no-cov
export LC_ALL=C.UTF-8

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx docs docs/_build/html

override_dh_installdocs:
	dh_installdocs --doc-main-package=python3-transliterate -p python-transliterate-doc
	dh_installdocs -p python3-transliterate

override_dh_compress:
	dh_compress -X.js -X.html -X.txt

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(eval BUILD_DIR=$(shell pybuild --print '{build_dir}' --interpreter python3))
	cp runtests.py $(BUILD_DIR)
	cd $(BUILD_DIR); python3 runtests.py; rm runtests.py
endif

=== debian/tests/control ===
Test-Command: python3 runtests.py --no-cov
Restrictions: allow-stderr
Depends: python3-pytest, python3-pytest-cov, python3-six

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-transliterate-$1\.tar\.gz/ \
  https://github.com/barseghyanartur/transliterate/tags .*/v?(\d\S+)\.tar\.gz
